Bug 45660 - shared-glapi breaks glapi dispatch table
Summary: shared-glapi breaks glapi dispatch table
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Chia-I Wu
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-05 16:22 UTC by Matt Turner
Modified: 2012-05-24 11:05 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
enable remap table when --enable-shared-glapi (809 bytes, patch)
2012-02-06 01:50 UTC, Chia-I Wu
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Turner 2012-02-05 16:22:47 UTC
http://www.mail-archive.com/mesa-dev@lists.freedesktop.org/msg18155.html

Building with --enable-shared-glapi breaks the dispatch table, see Jon's email above.

To test, configure with 

./autogen.sh --enable-xlib-glx --disable-egl --disable-glu --disable-dri --with-gallium-drivers=

and run fbotexture from mesa demos. Next, configure with

./autogen.sh --enable-xlib-glx --disable-egl --disable-glu --disable-dri --with-gallium-drivers= --enable-shared-glapi

and run fbotexture. It will fail with

GL_RENDERER = Mesa X11
Unable to create/attach depth and stencil renderbuffers  to FBO!
Comment 1 Chia-I Wu 2012-02-06 01:50:40 UTC
Created attachment 56650 [details] [review]
enable remap table when --enable-shared-glapi

Does this patch help?  Sorry that I am quite occupied by my work and did not follow the list recently.
Comment 2 Matt Turner 2012-02-06 09:06:32 UTC
Yes, that fixes it for me. I'll send the patch to the list. Thanks!
Comment 3 Matt Turner 2012-05-24 11:05:45 UTC
Whoops. Forgot to close this bug.

This is fixed as of 50683d2aa6456f3abec8387b0b02f67ab2cab3e5.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.